/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package facades;

import facades.local.ChapterFacadeLocal;
import entities.Chapter;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Burabari
 */
@Stateless
public class ChapterFacade implements ChapterFacadeLocal {
    @PersistenceContext(unitName = "Book_db-ejbPU")
    private EntityManager em;

    /**Creates new Chapter*/
    @Override
    public void create(Chapter chapter) {
        em.persist(chapter);
    }

    /**Updates Chapter record*/
    @Override
    public void edit(Chapter chapter) {
        em.merge(chapter);
    }

    /**Deletes Chapter record*/
    @Override
    public void remove(Chapter chapter) {
        em.remove(em.merge(chapter));
    }

    /**Finds Chapter record by id*/
    @Override
    public Chapter find(Long chapter_id) {
        return em.find(Chapter.class, chapter_id);
    }
    
}
